(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11507,        338]
NotebookOptionsPosition[     10237,        292]
NotebookOutlinePosition[     10662,        308]
CellTagsIndexPosition[     10619,        305]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Tag \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName[fileName_]\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.45836941526*^9, 3.458370020146*^9, 3.458370063752*^9, 
  3.458370506374*^9, 3.458370732288*^9, 3.458370953861*^9, 3.458371240665*^9, 
  3.458371563288*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brazil nut effect - randomized nut", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}, {3.458369733508*^9,
   3.4583697810620003`*^9}, {3.4583703082530003`*^9, 3.458370310291*^9}, {
  3.4583710860030003`*^9, 3.458371089193*^9}, {3.4583715929890003`*^9, 
  3.45837159816*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Elipse", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1_", ",", "r2_"}], "}"}], ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "i"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"0.2", 
            RowBox[{"Random", "[", "]"}]}]}], ")"}], "r1", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           FractionBox["i", "n"]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"0.2", 
            RowBox[{"Random", "[", "]"}]}]}], ")"}], "r2", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           FractionBox["i", "n"]}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TranslateData", "[", 
   RowBox[{"data_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], "+", 
      RowBox[{"Transpose", "[", "data", "]"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.458371568358*^9, 3.458371568815*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", ":=", 
   RowBox[{"Elipse", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Random", "[", 
       RowBox[{"Real", ",", 
        RowBox[{"{", 
         RowBox[{"1.2", ",", "2."}], "}"}]}], "]"}], "*", 
      RowBox[{"{", 
       RowBox[{"0.01", ",", "0.008"}], "}"}]}], ",", "40"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"data", ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF0mlI0wEYBvAh5JWZuZliHiQdDiGPiXk033IrtPyQ0rQUj2SOBtpU5pY4
8ZqleO3/n9sQtVyZU6MsQ80SXxRRUNPU8jaZabIM7yNTKIOsFx6ej8/vw3sy
RhAcq0ehUOj7+dOxoklt0nwJUP7e4ml/xscWJWwqO80EWVxQR/tFEA4l8Lmx
ROEyLoa5R4KkoEMkVHkvpVPdMsGt2rd9cIWEw1+5oV70HEjiVfA1AhmQdj+c
6qwfgEgSkSgOzIO2jfyoOudi+D4XMhs3nA0pvWOrA+My0Nk6u5YOpgJviGNR
OCqD14uaJvkNPrStB9E1cvKfi8YwOkb1JqHdfKfHbiMOt43LtmYbSIix7Nca
3UtF23Jd18swAjz7CItvcVnY1hn5yaZKBpzj8cGi1VwsT5MyX6gLoVl0vjul
ogDDHSIkLL180DceTC14T6CZVml5lZMNtezecxe1JLKpPc8GzmbC1sDotlmV
HE2nY8upAiFMuapNCJYKCWHhbo37HeB5MDMSbirxwFm7MHF53EWFs767D+WT
XGS2nLEzTVCiSOWl3psRo7OCMp94hcSWSvOuZeN0zN+jOfjHEXhdm3OB9JTi
zy8fqnXDBbjo84ZmfSoP+VZrugZaLl6SPHa5fb8Q/W1m3kmSslBELzKqNpeh
vW0k18NQgutPXrFKTAlk64v5Qtd4dDwhWx7b3zlwzbmOCkPyCDza6pTHodwF
Cx9df+w1EsuaaPdjWtKgcePIGquPQGlUqMaqIwtGAoIUAQYyLC6WlS0wc0FN
C7HXCyvCpdaRp91vC8Bvaqe0Y9/FWuF5S0dIMKhnM6Z7pRjgYrhokqEARfjE
86H5DMxxV9R0jypgINqRMcgU415XYCW7XgXyX5v8xgUu3kpuXkkW/v+/30hz
OCk=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-0.02271868362031336, 
   0.023129532131128436`}, {-0.017865744356011144`, 0.018260523130048303`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.4583716075299997`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"data2", ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "tmp", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tmp", "=", "data"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{"tmp", ",", 
         RowBox[{"-", "1"}]}], "]"}], ",", 
       RowBox[{"Take", "[", 
        RowBox[{"tmp", ",", "1"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"data2", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{3.458371614434*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxdkn0slAEcx+9y2o6dpplcyXvDuJkd06vfbMmImG7Ka17ujIjMOS9XXc6h
53Keezzu3NDYGgpjMaTYz7xMw9aYZSORuKutm5VMK7q0lT/6bt99//psnz++
zqm50aJDDAbDc79/ti/xtbspuQ4Yf5PRxo6anqQhqio2vG5UBDubI4RhowY6
J22G7piJgZ6JdagZoiB3scitDO6CJCmPSGmiwLp9qznsigLC4093s/kkKLVD
nuOOFTB65vETT18CDLvJcaFxSuCFHg8q2ydL77l+ZmpVUDJw+alAXARtOvsW
5kU1nN+xaJriZwF/5eS3tQT1gZewebP79jAFnR4ZnOaObFy6JSjvHVQDd0cy
658oxWCr1k3llgrIEk6QOkaBRzLdo86FqcHPMu/9lwYCXSP79bROBY8owRWZ
E4kcC37ECw8C9pp2YhgaEicp+5lgVRl80PLcCudqUc6d1Dk43QdbVlfkV3Et
So3GxrnBfDC6aMaZhAZbA9ftf+4Kweq67axdoAb/eb7ERXLjGo0p86L8+uk0
POrbvR4i0eCJDm839g8JTvTyU8YMFBZH+ERFm2QoM/XkrLmo8fsKnezXU47r
xaYGm2UVVmz37wpJAo+VehW9SyKQjvUSqyoJJPXFq8FiBYbLzefPCqrQZ08/
V91ZgryCGeMGk8LZZ6tmuqBsvDR3yrGiXX3gdbVggG4jKFzisnjmokwwLozI
1ixJxIweL76hBPSH9SrpOIXStF8TpgQ5POBfCOirV6NNIS+BW6cEpwCB0OYm
gSHeceOlrx6C5HmOY7yiErOcqYU3WxSMUTeykqblKCxI5zRU02D9aeRjS7oM
bZdFLDs3GrrYU/7G6nzcZrWkDpNaeNvYVsMMFeH///sNqQE0hQ==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->{0, 0},
  Frame->True,
  PlotRange->{{-0.021030452369163056`, 
   0.022830950550852786`}, {-0.017351084266471604`, 0.01732421945408226}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.458371614855*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write/ReadFile", "Subtitle"],

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", ":=", "1"}], ",", 
   RowBox[{"i", "<", "16"}], ",", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"filename", "=", 
     RowBox[{"\"\<j:/ball\>\"", "<>", 
      RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<.exs\>\""}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"EXSWrite", "[", 
     RowBox[{"filename", ",", "data2"}], "]"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataread", "=", 
   RowBox[{"EXSRead", "[", "filename", "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "dataread", "]"}]], "Input",
 CellChangeTimes->{3.458371640231*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGDQBGIQrdfCelnp0xR7Bih4NeNaZci7SfbnDLKTzsgk23PF
/+F1+zXJ/iKD8JmKNUX2OVcbWrYyTLRfLXz+HPe3Svv13A4Craz99iKs8fWm
H5vsWeauS55j1WsvEBXUpP6m3X7G/qncMm/b7QUi4p7yxnfYlx3ftWuNVJN9
iH3Y8gjxLnszz9WsHOvK7J0YGT6aO/faR1458tt7Yab9vuL437Zb+uDu2n7G
88qNzF573nWLFcOtMvbrzp8iujNwgn24lCCbdVzF/hm7Hp/xmt1tryfC8ifT
oGF/t8eHW6nx3faTP5bMMJ7Zsd+d37eqOb/L/qXYHtUHGj3792+ftHBtaav9
jkkNz+ri+/dzWv15/fNmg/3qT+7HtPQn7V/Ml3/9+NRq+z3XNrFVmE3e/3am
++w+9hJ7xW07LgQ+mrjfxZpBMDwiyX6v+IapvbWT98Pc2eC53rO2f9J+rTwb
KXXRlP3yAce3nJefsl9GefuEzO2F+0XSFj7QjJq0n4959zz/R7X7dyU+46l/
0LdfeskzP62Nzfun79j51fV2z/5nZ6YdZm1s3W/2LZfLeHvb/paLOi1T69v3
/1K4ttOkrGG/bhfHTCXjzv2uPhm8eiJV+yVK2OVtjbr3f/s6v3/zovT9Pusn
vz8J9BfMXXXLgnV5efv2H470WW/Bk25/0bTI19irb7+d70G+ab8q7CdcauKx
Z+3eP7uyYnXYgyZ7Q/co1z3PevY/6fqRJ3S43f7N2Wk/Vxp07z9XHhvw1azT
3n2pvNrF2e372315J5yO7bM/mqMgEbWsYX/AzLvXbSZMsN/+Yc6SoOCa/Q4x
8hw7Zk6297vz9uff6pL9tx8ISe+/P9Fe64BGmXV18n709AcA+xUpLA==
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.458371643177*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 709},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[940, 36, 359, 7, 41, "Input"],
Cell[1302, 45, 868, 15, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2219, 66, 299, 4, 73, "Title"],
Cell[2521, 72, 146, 4, 49, "Subsubtitle"],
Cell[2670, 78, 1506, 44, 152, "Input"],
Cell[4179, 124, 352, 12, 41, "Input"],
Cell[CellGroupData[{
Cell[4556, 140, 129, 3, 41, "Input"],
Cell[4688, 145, 1375, 29, 248, "Output"]
}, Open  ]],
Cell[6078, 177, 487, 14, 102, "Input"],
Cell[CellGroupData[{
Cell[6590, 195, 263, 6, 41, "Input"],
Cell[6856, 203, 1358, 28, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8251, 236, 34, 0, 36, "Subtitle"],
Cell[8288, 238, 478, 13, 102, "Input"],
Cell[8769, 253, 116, 3, 41, "Input"],
Cell[CellGroupData[{
Cell[8910, 260, 107, 2, 41, "Input"],
Cell[9020, 264, 1177, 23, 243, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

