(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29343,        748]
NotebookOptionsPosition[     27501,        686]
NotebookOutlinePosition[     27926,        702]
CellTagsIndexPosition[     27883,        699]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Tag \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName[fileName_]\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.45836941526*^9, 3.458370020146*^9, 3.458370063752*^9, 
  3.458370506374*^9, 3.458370732288*^9, 3.458370953861*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cylinders", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}, {3.458369733508*^9,
   3.4583697810620003`*^9}, {3.4583703082530003`*^9, 3.458370310291*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[CellGroupData[{

Cell["Coordinates", "Subtitle",
 CellChangeTimes->{{3.458361389211*^9, 3.458361391613*^9}}],

Cell["Generalized", "Text",
 CellChangeTimes->{{3.458369878052*^9, 3.4583698794849997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GC", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"b`c1`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c1`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c1`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c2`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c2`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c2`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c3`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c3`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c3`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c4`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c4`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c4`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c5`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c5`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c5`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c6`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c6`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c6`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c7`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c7`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c7`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c8`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c8`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c8`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c9`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c9`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c9`Rz", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b`c10`x", "[", "t", "]"}], ",", 
     RowBox[{"b`c10`y", "[", "t", "]"}], ",", 
     RowBox[{"b`c10`Rz", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell["Dependent", "Text",
 CellChangeTimes->{{3.458369884486*^9, 3.45836988631*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DC", ":=", 
   RowBox[{"{", "}"}]}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kinetic, potential energy and virtual work", "Subtitle",
 CellChangeTimes->{{3.4583614035880003`*^9, 3.4583614584189997`*^9}}],

Cell["Kinetic energy", "Text",
 CellChangeTimes->{{3.458361363825*^9, 3.458361368514*^9}, {3.458361414918*^9,
   3.458361415526*^9}, {3.4583615517679996`*^9, 3.458361553936*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ek", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], "b`c1`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c1`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c1`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c1`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c1`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c2`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c2`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c2`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c2`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c2`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c3`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c3`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c3`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c3`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c3`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c4`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c4`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c4`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c4`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c4`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c5`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c5`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c5`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c5`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c5`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c6`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c6`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c6`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c6`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c6`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c7`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c7`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c7`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c7`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c7`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c8`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c8`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c8`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c8`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c8`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c9`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c9`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c9`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c9`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c9`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`c10`m", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c10`x", "'"}], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"b`c10`y", "'"}], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`c10`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`c10`Rz", "'"}], "[", "t", "]"}], "2"]}]}]}]], "Input"],

Cell["Potential energy", "Text",
 CellChangeTimes->{{3.4583703530369997`*^9, 3.4583703591619997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ep", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"c`gravity", "*", "b`c1`m", "*", 
    RowBox[{"b`c1`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c2`m", "*", 
    RowBox[{"b`c2`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c3`m", "*", 
    RowBox[{"b`c3`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c4`m", "*", 
    RowBox[{"b`c4`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c5`m", "*", 
    RowBox[{"b`c5`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c6`m", "*", 
    RowBox[{"b`c6`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c7`m", "*", 
    RowBox[{"b`c7`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c8`m", "*", 
    RowBox[{"b`c8`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c9`m", "*", 
    RowBox[{"b`c9`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`c10`m", "*", 
    RowBox[{"b`c10`y", "[", "t", "]"}]}]}]}]], "Input"],

Cell["Virtual work", "Text",
 CellChangeTimes->{{3.45837036367*^9, 3.458370366309*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]W", "[", "t_", "]"}], ":=", "0"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equations of motion", "Subtitle",
 CellChangeTimes->{{3.458361475104*^9, 3.458361478633*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EM", "=", 
   RowBox[{"EquationsOfMotion", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"m", ",", "h"}], "}"}], "=", 
  RowBox[{"MassMatrixAndHVector", "[", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], ",", 
    RowBox[{"Ep", "[", "t", "]"}], ",", 
    RowBox[{"GeneralizedForces", "[", 
     RowBox[{
      RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
    ",", "t"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b`c1`m", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "b`c1`m", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "b`c1`Jzz", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "b`c2`m", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "b`c2`m", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c2`Jzz", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c3`m", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "b`c3`m", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "b`c3`Jzz", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "b`c4`m", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "b`c4`m", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "b`c4`Jzz", ",", "0", ",", "0",
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c5`m", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c5`m", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "b`c5`Jzz", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "b`c6`m", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "b`c6`m", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "b`c6`Jzz", ",", "0", ",", "0", ",", "0",
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "b`c7`m", ",", "0", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c7`m", ",", "0", 
       ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c7`Jzz",
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "b`c8`m", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "b`c8`m", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "b`c8`Jzz", ",", "0", ",", "0", ",", "0", ",", "0",
        ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "b`c9`m", ",", "0", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "b`c9`m", ",", "0", ",", "0", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c9`Jzz", ",", "0",
        ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "b`c10`m", 
       ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "b`c10`m", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "b`c10`Jzz"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c1`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c2`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c3`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c4`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c5`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c6`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c7`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c8`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c9`m"}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", "b`c10`m"}], ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.458370506587*^9, 3.4583707324820004`*^9, 
  3.4583709541879997`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Save model for MultiBody Dynamics Simulator", "Subtitle",
 CellChangeTimes->{{3.458361745207*^9, 3.458361764341*^9}}],

Cell["Name of model, folder name", "Text",
 CellChangeTimes->{{3.458361771413*^9, 3.458361774559*^9}, {3.458370441619*^9,
   3.458370446134*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<Cylinders\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"folder", "=", "\"\<j:/\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.458370419329*^9, 3.458370440045*^9}}],

Cell["Write mass matrix, h vector and mechanical energy", "Text",
 CellChangeTimes->{{3.458361787881*^9, 3.4583617967*^9}, {3.458361875633*^9, 
  3.458361880991*^9}}],

Cell[BoxData[{
 RowBox[{"MMXWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.mmx\>\""}], ",", "m"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.hv\>\""}], ",", "h"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.me\>\""}], ",", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], "+", 
    RowBox[{"Ep", "[", "t", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.458370453586*^9, {3.458370494225*^9, 3.4583704999519997`*^9}}],

Cell["Write generalized and dependent coordinates", "Text",
 CellChangeTimes->{{3.4583619063640003`*^9, 3.4583619155769997`*^9}}],

Cell[BoxData[{
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.gc\>\""}], ",", "GC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.dc\>\""}], ",", 
   RowBox[{"PrepareDependentCoordinates", "[", 
    RowBox[{
     RowBox[{"Definition", "[", "DC", "]"}], ",", "DC", ",", "GC", ",", "t"}],
     "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.4583705016400003`*^9, 3.458370938348*^9}],

Cell["Define and write constants", "Text",
 CellChangeTimes->{{3.4583619210039997`*^9, 3.458361930696*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"c`gravity", "=", "9.81"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"CNSWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.cns\>\""}], ",", 
   RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], ",", 
   RowBox[{"ToExpression", "[", 
    RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{3.4583705041730003`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[940, 36, 359, 7, 41, "Input"],
Cell[1302, 45, 827, 14, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2178, 65, 179, 2, 73, "Title"],
Cell[2360, 69, 146, 4, 49, "Subsubtitle"],
Cell[CellGroupData[{
Cell[2531, 77, 91, 1, 36, "Subtitle"],
Cell[2625, 80, 92, 1, 29, "Text"],
Cell[2720, 83, 1720, 34, 242, "Input"],
Cell[4443, 119, 84, 1, 29, "Text"],
Cell[4530, 122, 88, 3, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4655, 130, 132, 1, 36, "Subtitle"],
Cell[4790, 133, 178, 2, 29, "Text"],
Cell[4971, 137, 4851, 162, 381, "Input"],
Cell[9825, 301, 102, 1, 29, "Text"],
Cell[9930, 304, 1235, 23, 242, "Input"],
Cell[11168, 329, 87, 1, 29, "Text"],
Cell[11258, 332, 87, 2, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11382, 339, 99, 1, 36, "Subtitle"],
Cell[11484, 342, 355, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[11864, 356, 378, 11, 41, "Input"],
Cell[12245, 369, 12768, 239, 649, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[25062, 614, 123, 1, 36, "Subtitle"],
Cell[25188, 617, 145, 2, 29, "Text"],
Cell[25336, 621, 238, 6, 62, "Input"],
Cell[25577, 629, 166, 2, 29, "Text"],
Cell[25746, 633, 574, 16, 82, "Input"],
Cell[26323, 651, 129, 1, 29, "Text"],
Cell[26455, 654, 500, 12, 62, "Input"],
Cell[26958, 668, 107, 1, 29, "Text"],
Cell[27068, 671, 78, 2, 41, "Input"],
Cell[27149, 675, 324, 7, 41, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
