(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6714,        220]
NotebookOptionsPosition[      5712,        183]
NotebookOutlinePosition[      6137,        199]
CellTagsIndexPosition[      6094,        196]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cylinders - ground shape", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}, {3.458369733508*^9,
   3.4583697810620003`*^9}, {3.4583703082530003`*^9, 3.458370310291*^9}, {
  3.4583708363310003`*^9, 3.458370839849*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"e", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.3", ",", 
       RowBox[{"0.01", "-", "e"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0.3", "-", "e"}], ",", "0.01"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0.2", ",", "0.01"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0.1", ",", "0.01"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0.0", ",", "0.01"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.05"}], ",", "0.01"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.07"}], ",", "0.01"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.2"}], "+", "e"}], ",", "0.05"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.2"}], ",", 
       RowBox[{"0.05", "-", "e"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.2"}], ",", 
       RowBox[{"-", "0.01"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0.3", ",", 
       RowBox[{"-", "0.01"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0.3", ",", 
       RowBox[{"0.01", "-", "e"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mx", "=", 
   RowBox[{"1.1", 
    RowBox[{"Max", "[", "data", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mn", "=", 
   RowBox[{"1.1", 
    RowBox[{"Min", "[", "data", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"data", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"mn", ",", "mx"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"mn", ",", "mx"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{3.458370845387*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], 
    LineBox[{{0.3, 0.009000000000000001}, {0.299, 0.01}, {0.2, 0.01}, {0.1, 
     0.01}, {0., 0.01}, {-0.05, 0.01}, {-0.07, 0.01}, {-0.199, 0.05}, {-0.2, 
     0.049}, {-0.2, -0.01}, {0.3, -0.01}, {0.3, 0.009000000000000001}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->{0, 0},
  Frame->True,
  PlotRange->{{-0.22000000000000003`, 0.33}, {-0.22000000000000003`, 0.33}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.458370849104*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write/ReadFile", "Subtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<j:/ground.exs\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"EXSWrite", "[", 
  RowBox[{"filename", ",", "data"}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataread", "=", 
   RowBox[{"EXSRead", "[", "filename", "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "dataread", "]"}]], "Input",
 CellChangeTimes->{3.458370852217*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{0.3, 0.009000000000000001}, {0.299, 0.01}, {0.2, 0.01}, {0.1, 
    0.01}, {0., 0.01}, {-0.05, 0.01}, {-0.07, 0.01}, {-0.199, 0.05}, {-0.2, 
    0.049}, {-0.2, -0.01}, {0.3, -0.01}, {0.3, 0.009000000000000001}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.458370852635*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[918, 34, 359, 7, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1314, 46, 242, 3, 73, "Title"],
Cell[1559, 51, 146, 4, 49, "Subsubtitle"],
Cell[1708, 57, 1642, 47, 342, "Input"],
Cell[CellGroupData[{
Cell[3375, 108, 727, 21, 82, "Input"],
Cell[4105, 131, 589, 12, 249, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4731, 148, 34, 0, 36, "Subtitle"],
Cell[4768, 150, 194, 5, 62, "Input"],
Cell[4965, 157, 116, 3, 41, "Input"],
Cell[CellGroupData[{
Cell[5106, 164, 107, 2, 41, "Input"],
Cell[5216, 168, 456, 10, 246, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

