(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9744,        314]
NotebookOptionsPosition[      8007,        255]
NotebookOutlinePosition[      8433,        271]
CellTagsIndexPosition[      8390,        268]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Tag \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName[fileName_]\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.45836941526*^9, 3.458370020146*^9, 3.458370063752*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Reverible Tangential Impact", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}, {3.458369733508*^9,
   3.4583697810620003`*^9}}],

Cell["\<\
See section 8.13 of F.Pfeiffer, C. Glocker: MultiBody Dynamics With \
Unilateral Contacts, 1996\
\>", "Text",
 CellChangeTimes->{{3.458369788009*^9, 3.458369823609*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[CellGroupData[{

Cell["Coordinates", "Subtitle",
 CellChangeTimes->{{3.458361389211*^9, 3.458361391613*^9}}],

Cell["Generalized", "Text",
 CellChangeTimes->{{3.458369878052*^9, 3.4583698794849997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GC", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b`ball`x", "[", "t", "]"}], ",", 
     RowBox[{"b`ball`y", "[", "t", "]"}], ",", 
     RowBox[{"b`ball`Rz", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell["Dependent", "Text",
 CellChangeTimes->{{3.458369884486*^9, 3.45836988631*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DC", ":=", 
   RowBox[{"{", "}"}]}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kinetic, potential energy and virtual work", "Subtitle",
 CellChangeTimes->{{3.4583614035880003`*^9, 3.4583614584189997`*^9}}],

Cell["Kinetic energy", "Text",
 CellChangeTimes->{{3.458361363825*^9, 3.458361368514*^9}, {3.458361414918*^9,
   3.458361415526*^9}, {3.4583615517679996`*^9, 3.458361553936*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ek", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], "b`ball`m", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ball`x", "'"}], "[", "t", "]"}], "2"]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`ball`m", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ball`y", "'"}], "[", "t", "]"}], "2"]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`ball`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ball`Rz", "'"}], "[", "t", "]"}], "2"]}]}]}]], "Input"],

Cell["Potential energy", "Text",
 CellChangeTimes->{{3.4583699072980003`*^9, 3.458369910649*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ep", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"c`gravity", "*", "b`ball`m", "*", 
   RowBox[{"b`ball`y", "[", "t", "]"}]}]}]], "Input"],

Cell["Virtual work", "Text",
 CellChangeTimes->{{3.4583699146289997`*^9, 3.45836991771*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]W", "[", "t_", "]"}], ":=", "0"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equations of motion", "Subtitle",
 CellChangeTimes->{{3.458361475104*^9, 3.458361478633*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EM", "=", 
   RowBox[{"EquationsOfMotion", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "h"}], "}"}], "=", 
   RowBox[{"MassMatrixAndHVector", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4583699370030003`*^9, 3.458369938403*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Save model for MultiBody Dynamics Simulator", "Subtitle",
 CellChangeTimes->{{3.458361745207*^9, 3.458361764341*^9}}],

Cell["Name of model", "Text",
 CellChangeTimes->{{3.458361771413*^9, 3.458361774559*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<ReversibleTangentialImpact\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"folder", "=", "\"\<j:/\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.458370528241*^9, 3.458370528531*^9}}],

Cell["Write mass matrix, h vector and mechanical energy", "Text",
 CellChangeTimes->{{3.458361787881*^9, 3.4583617967*^9}, {3.458361875633*^9, 
  3.458361880991*^9}}],

Cell[BoxData[{
 RowBox[{"MMXWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.mmx\>\""}], ",", "m"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.hv\>\""}], ",", "h"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.me\>\""}], ",", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], "+", 
    RowBox[{"Ep", "[", "t", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{3.458369990211*^9, {3.458370531264*^9, 3.458370539092*^9}}],

Cell["Write generalized and dependent coordinates", "Text",
 CellChangeTimes->{{3.4583619063640003`*^9, 3.4583619155769997`*^9}}],

Cell[BoxData[{
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.gc\>\""}], ",", "GC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.dc\>\""}], ",", 
   RowBox[{"PrepareDependentCoordinates", "[", 
    RowBox[{
     RowBox[{"Definition", "[", "DC", "]"}], ",", "DC", ",", "GC", ",", "t"}],
     "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4583705407650003`*^9, 3.458370543164*^9}}],

Cell["Define and write constants", "Text",
 CellChangeTimes->{{3.4583619210039997`*^9, 3.458361930696*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c`gravity", "=", "0"}], ";"}], "\n", 
 RowBox[{"CNSWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.cns\>\""}], ",", 
   RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], ",", 
   RowBox[{"ToExpression", "[", 
    RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.458370008612*^9, 3.458370548784*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1196, 709},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[940, 36, 359, 7, 41, "Input"],
Cell[1302, 45, 767, 13, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2118, 64, 152, 2, 73, "Title"],
Cell[2273, 68, 179, 4, 29, "Text"],
Cell[2455, 74, 146, 4, 49, "Subsubtitle"],
Cell[CellGroupData[{
Cell[2626, 82, 91, 1, 36, "Subtitle"],
Cell[2720, 85, 92, 1, 29, "Text"],
Cell[2815, 88, 242, 7, 41, "Input"],
Cell[3060, 97, 84, 1, 29, "Text"],
Cell[3147, 100, 88, 3, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3272, 108, 132, 1, 36, "Subtitle"],
Cell[3407, 111, 178, 2, 29, "Text"],
Cell[3588, 115, 551, 18, 57, "Input"],
Cell[4142, 135, 97, 1, 29, "Text"],
Cell[4242, 138, 187, 4, 62, "Input"],
Cell[4432, 144, 92, 1, 29, "Text"],
Cell[4527, 147, 87, 2, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4651, 154, 99, 1, 36, "Subtitle"],
Cell[4753, 157, 355, 10, 41, "Input"],
Cell[5111, 169, 471, 13, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5619, 187, 123, 1, 36, "Subtitle"],
Cell[5745, 190, 89, 1, 29, "Text"],
Cell[5837, 193, 255, 6, 62, "Input"],
Cell[6095, 201, 166, 2, 29, "Text"],
Cell[6264, 205, 566, 15, 82, "Input"],
Cell[6833, 222, 129, 1, 29, "Text"],
Cell[6965, 225, 502, 12, 62, "Input"],
Cell[7470, 239, 107, 1, 29, "Text"],
Cell[7580, 242, 399, 9, 62, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
