(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9600,        309]
NotebookOptionsPosition[      8333,        263]
NotebookOutlinePosition[      8758,        279]
CellTagsIndexPosition[      8715,        276]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Tag \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName[fileName_]\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.45836941526*^9, 3.458370020146*^9, 3.458370063752*^9, 
  3.458370506374*^9, 3.458370732288*^9, 3.458370953861*^9, 3.458371240665*^9, 
  3.458371563288*^9, 3.459179435332*^9, 3.459180502023*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brazil nut effect - randomized nut", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}, {3.458369733508*^9,
   3.4583697810620003`*^9}, {3.4583703082530003`*^9, 3.458370310291*^9}, {
  3.4583710860030003`*^9, 3.458371089193*^9}, {3.4583715929890003`*^9, 
  3.45837159816*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Elipse", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1_", ",", "r2_"}], "}"}], ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "i"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"0.", 
            RowBox[{"Random", "[", "]"}]}]}], ")"}], "r1", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           FractionBox["i", "n"]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"0.", 
            RowBox[{"Random", "[", "]"}]}]}], ")"}], "r2", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           FractionBox["i", "n"]}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TranslateData", "[", 
   RowBox[{"data_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], "+", 
      RowBox[{"Transpose", "[", "data", "]"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.458371568358*^9, 3.458371568815*^9}, {3.459179487668*^9,
   3.459179491558*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", ":=", 
   RowBox[{"Elipse", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Random", "[", 
       RowBox[{"Real", ",", 
        RowBox[{"{", 
         RowBox[{"1.", ",", "1."}], "}"}]}], "]"}], "*", 
      RowBox[{"{", 
       RowBox[{"0.01", ",", "0.01"}], "}"}]}], ",", "20"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4591794359630003`*^9, 3.4591794593050003`*^9}, {
  3.459180500073*^9, 3.459180500269*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"data", ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQXS2yzv1hVYs9AxSsE99d5FbVbO8xWy66LyDTnn/j
PKspExvse99tYU0QroDTMHGYOpg+mDkwc6Hy+2HyUP37Yfqh9H6YuVB1+2Hm
Qs3Zj+Y+mPx+NP370czfj2b/fjT37Udz/340/+1H8/9+tPDZjx5+AGTMhm0=

     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-0.01, 0.01}, {-0.01, 0.01}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.4583716075299997`*^9, {3.459179439966*^9, 3.459179461148*^9}, 
   3.459179494552*^9, 3.459180502101*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"data2", ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "tmp", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tmp", "=", "data"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{"tmp", ",", 
         RowBox[{"-", "1"}]}], "]"}], ",", 
       RowBox[{"Take", "[", 
        RowBox[{"tmp", ",", "1"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"data2", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{3.458371614434*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQXS2yzv1hVYs9AxSsE99d5FbVbO8xWy66LyDTnn/j
PKspExvse99tYU0QroDTMHGYOpg+mDkwc6Hy+2HyUP37Yfqh9H6YuVB1+2Hm
Qs3Zj+Y+mPx+NP370czfj2b/fjT37Udz/340/+1H8/9+tPDZjx5+AGTMhm0=

     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->{0, 0},
  Frame->True,
  PlotRange->{{-0.01, 0.01}, {-0.01, 0.01}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.458371614855*^9, 3.4591794991280003`*^9, 
  3.459180502157*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write/ReadFile", "Subtitle"],

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", ":=", "1"}], ",", 
   RowBox[{"i", "<", "6"}], ",", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"filename", "=", 
     RowBox[{"\"\<j:/ball\>\"", "<>", 
      RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<.exs\>\""}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"EXSWrite", "[", 
     RowBox[{"filename", ",", "data2"}], "]"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.459179507293*^9, 3.45917950776*^9}, 3.459180507278*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataread", "=", 
   RowBox[{"EXSRead", "[", "filename", "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "dataread", "]"}]], "Input",
 CellChangeTimes->{3.458371640231*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQXS2yzv1hVYs9AxSsE99d5FbVbO8xWy66LyDTnn/j
PKspExvse99tYU0QroDTMHGYOpg+mDkwc6Hy+2HyUP37Yfqh9H6YuVB1+2Hm
Qs3Zj+Y+mPx+NP370czfj2b/fjT37Udz/340/+1H8/9+tPDZjx5+AGTMhm0=

    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.458371643177*^9, 3.4591805022469997`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 709},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[940, 36, 359, 7, 41, "Input"],
Cell[1302, 45, 906, 15, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2257, 66, 299, 4, 73, "Title"],
Cell[2559, 72, 146, 4, 49, "Subsubtitle"],
Cell[2708, 78, 1547, 45, 152, "Input"],
Cell[4258, 125, 463, 14, 41, "Input"],
Cell[CellGroupData[{
Cell[4746, 143, 129, 3, 41, "Input"],
Cell[4878, 148, 654, 18, 243, "Output"]
}, Open  ]],
Cell[5547, 169, 487, 14, 102, "Input"],
Cell[CellGroupData[{
Cell[6059, 187, 263, 6, 41, "Input"],
Cell[6325, 195, 611, 17, 241, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6973, 217, 34, 0, 36, "Subtitle"],
Cell[7010, 219, 555, 14, 102, "Input"],
Cell[7568, 235, 116, 3, 41, "Input"],
Cell[CellGroupData[{
Cell[7709, 242, 107, 2, 41, "Input"],
Cell[7819, 246, 474, 12, 240, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
