(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12447,        370]
NotebookOptionsPosition[     10549,        307]
NotebookOutlinePosition[     10974,        323]
CellTagsIndexPosition[     10931,        320]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Tag \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName[fileName_]\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.459182876616*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brazil nut effect", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}, {3.458369733508*^9,
   3.4583697810620003`*^9}, {3.4583703082530003`*^9, 3.458370310291*^9}, {
  3.4583710860030003`*^9, 3.458371089193*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[CellGroupData[{

Cell["Coordinates", "Subtitle",
 CellChangeTimes->{{3.458361389211*^9, 3.458361391613*^9}}],

Cell["Number ob bodies", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"num", "=", "5"}], ";"}]], "Input",
 CellChangeTimes->{3.459179378684*^9}],

Cell["Generalized coordinates", "Text",
 CellChangeTimes->{{3.458369878052*^9, 3.4583698794849997`*^9}, {
  3.4583711271429996`*^9, 3.458371129126*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GC", "=", "\[IndentingNewLine]", 
   RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\"\<{b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`x[t],b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`y[t],b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`Rz[t]}\>\""}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.459182865933*^9, 3.459182874142*^9}}],

Cell["Dependent coordinates", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DC", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b`ground`x", "[", "t", "]"}], ",", 
     RowBox[{"b`ground`y", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.459181148675*^9, 3.459181152344*^9}}],

Cell["Definition of dependent coordinates", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"b`ground`x", "[", "t_", "]"}], ":=", 
  RowBox[{"c`amp", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", "\[Pi]", " ", "c`freq", " ", "t"}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`ground`y", "[", "t_", "]"}], ":=", 
  RowBox[{"c`amp", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", "\[Pi]", " ", "c`freq", " ", "t"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.4591811595629997`*^9, 3.459181169712*^9}, {
  3.459181203792*^9, 3.459181204351*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kinetic, potential energy and virtual work", "Subtitle",
 CellChangeTimes->{{3.4583614035880003`*^9, 3.4583614584189997`*^9}}],

Cell["Kinetic energy", "Text",
 CellChangeTimes->{{3.458361363825*^9, 3.458361368514*^9}, {3.458361414918*^9,
   3.458361415526*^9}, {3.4583615517679996`*^9, 3.458361553936*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Ek", "[", "t_", "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"Total", "[", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\"\<\!\(\*FractionBox[\(1\), \(2\)]\)b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`m*(b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`x'[t]^2+b`ball\>\"", 
        "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", 
        "\"\<`y'[t]^2)+\!\(\*FractionBox[\(1\), \(2\)]\)b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`Jzz*b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`Rz'[t]^2\>\""}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4591828245810003`*^9, 3.4591828403570004`*^9}}],

Cell["Potential energy", "Text",
 CellChangeTimes->{{3.4583703530369997`*^9, 3.4583703591619997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Ep", "[", "t_", "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"Total", "[", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\"\<c`gravity*b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`m*b`ball\>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<`y[t]\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.459182847625*^9, 3.459182850659*^9}}],

Cell["Virtual work", "Text",
 CellChangeTimes->{{3.458371161939*^9, 3.45837116452*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]W", "[", "t_", "]"}], ":=", "0"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equations of motion", "Subtitle",
 CellChangeTimes->{{3.458361475104*^9, 3.458361478633*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EM", "=", 
   RowBox[{"EquationsOfMotion", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "h"}], "}"}], "=", 
   RowBox[{"MassMatrixAndHVector", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Save model for MultiBody Dynamics Simulator", "Subtitle",
 CellChangeTimes->{{3.458361745207*^9, 3.458361764341*^9}}],

Cell["Name of model, folder name", "Text",
 CellChangeTimes->{{3.458361771413*^9, 3.458361774559*^9}, {3.458370441619*^9,
   3.458370446134*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<WearBalls\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"folder", "=", "\"\<j:/\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.458370419329*^9, 3.458370440045*^9}, {3.458371188915*^9,
   3.458371193196*^9}, {3.459182895571*^9, 3.459182897065*^9}}],

Cell["Write mass matrix, h vector and mechanical energy", "Text",
 CellChangeTimes->{{3.458361787881*^9, 3.4583617967*^9}, {3.458361875633*^9, 
  3.458361880991*^9}}],

Cell[BoxData[{
 RowBox[{"MMXWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.mmx\>\""}], ",", "m"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.hv\>\""}], ",", "h"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.me\>\""}], ",", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], "+", 
    RowBox[{"Ep", "[", "t", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.458370453586*^9, {3.458370494225*^9, 3.4583704999519997`*^9}}],

Cell["Write generalized and dependent coordinates", "Text",
 CellChangeTimes->{{3.4583619063640003`*^9, 3.4583619155769997`*^9}}],

Cell[BoxData[{
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.gc\>\""}], ",", "GC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.dc\>\""}], ",", 
   RowBox[{"PrepareDependentCoordinates", "[", 
    RowBox[{
     RowBox[{"Definition", "[", "DC", "]"}], ",", "DC", ",", "GC", ",", "t"}],
     "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.4583705016400003`*^9, 3.458370938348*^9}],

Cell["Define and write constants", "Text",
 CellChangeTimes->{{3.4583619210039997`*^9, 3.458361930696*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c`gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`amp", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`freq", "=", "10"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"CNSWrite", "[", 
  RowBox[{
   RowBox[{"\"\<j:/\>\"", "<>", "filename", "<>", "\"\<.cns\>\""}], ",", 
   RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], ",", 
   RowBox[{"ToExpression", "[", 
    RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], "]"}]}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[940, 36, 359, 7, 41, "Input"],
Cell[1302, 45, 730, 13, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2081, 64, 235, 3, 73, "Title"],
Cell[2319, 69, 146, 4, 49, "Subsubtitle"],
Cell[CellGroupData[{
Cell[2490, 77, 91, 1, 36, "Subtitle"],
Cell[2584, 80, 32, 0, 29, "Text"],
Cell[2619, 82, 108, 3, 41, "Input"],
Cell[2730, 87, 152, 2, 29, "Text"],
Cell[2885, 91, 779, 15, 182, "Input"],
Cell[3667, 108, 37, 0, 29, "Text"],
Cell[3707, 110, 258, 7, 41, "Input"],
Cell[3968, 119, 51, 0, 29, "Text"],
Cell[4022, 121, 506, 13, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4565, 139, 132, 1, 36, "Subtitle"],
Cell[4700, 142, 178, 2, 29, "Text"],
Cell[4881, 146, 1070, 20, 275, "Input"],
Cell[5954, 168, 102, 1, 29, "Text"],
Cell[6059, 171, 736, 16, 182, "Input"],
Cell[6798, 189, 87, 1, 29, "Text"],
Cell[6888, 192, 87, 2, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7012, 199, 99, 1, 36, "Subtitle"],
Cell[7114, 202, 355, 10, 41, "Input"],
Cell[7472, 214, 406, 12, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7915, 231, 123, 1, 36, "Subtitle"],
Cell[8041, 234, 145, 2, 29, "Text"],
Cell[8189, 238, 321, 7, 62, "Input"],
Cell[8513, 247, 166, 2, 29, "Text"],
Cell[8682, 251, 574, 16, 82, "Input"],
Cell[9259, 269, 129, 1, 29, "Text"],
Cell[9391, 272, 500, 12, 62, "Input"],
Cell[9894, 286, 107, 1, 29, "Text"],
Cell[10004, 289, 229, 6, 82, "Input"],
Cell[10236, 297, 285, 6, 41, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
