(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8109,        273]
NotebookOptionsPosition[      6771,        226]
NotebookOutlinePosition[      7196,        242]
CellTagsIndexPosition[      7153,        239]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["WoodpeckerToy - Foot", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363515158*^9}, {3.458365276576*^9,
   3.458365278711*^9}, {3.458365548013*^9, 3.4583655485559998`*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell["\<\
This file is used to create the exact shape of the bird's foot\
\>", "Text",
 CellChangeTimes->{{3.45836528169*^9, 3.4583652962*^9}, {3.458365553606*^9, 
  3.458365560546*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Elipse", "[", 
   RowBox[{"r1_", ",", "r2_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "i"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r1", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           FractionBox["i", "n"]}], "]"}]}], ",", 
        RowBox[{"r2", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           FractionBox["i", "n"]}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TranslateData", "[", 
   RowBox[{"data_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], "+", 
      RowBox[{"Transpose", "[", "data", "]"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.458365582447*^9, 3.458365583355*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Elipse", "[", 
    RowBox[{
     RowBox[{"0.01", "-", "0.0041"}], ",", "0.001", ",", "40"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", "data"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Join", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Take", "[", 
      RowBox[{"a", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "11"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Take", "[", 
      RowBox[{"a", ",", 
       RowBox[{"{", 
        RowBox[{"31", ",", "41"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"TranslateData", "[", 
    RowBox[{"data", ",", "0.0041", ",", "0"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.45836559084*^9, 3.4583655918*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Min", "[", 
  RowBox[{
   RowBox[{"Transpose", "[", "data", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Max", "[", 
  RowBox[{
   RowBox[{"Transpose", "[", "data", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "Input"],

Cell[BoxData["0.0041`"], "Output",
 CellChangeTimes->{3.4583655736940002`*^9, 3.458365603696*^9, 
  3.458365854593*^9}],

Cell[BoxData["0.01`"], "Output",
 CellChangeTimes->{3.4583655736940002`*^9, 3.458365603696*^9, 
  3.458365854715*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"data", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{3.458365616983*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQA2IQXS2yzv1hVYs9AxTseX397umQFvtjj6ZfEmxUsdde
XLCh+nGz/YJHdY8KHUzsT33vYNut2WzvxRMbuemArf3U/uXHZXSa7Lk+HTbf
7ORszxH7Ytn9Dw324ub/7Zdou9vvu/Cxq/d/nb2PtOGRtiYv+x9ztTsvHq62
D6x+9MHXyNfeROLDtzdOFfZikdqBXFr+9vb+S0u+TiqxPznzmPsqvQB7Tul5
cZqnC+z/rPx4yTcJg78fTf1+NPP2o9m3H809+9Hcux/NP/vR/LsfLTz2o4XX
fvTwBADEsKYu
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->{0.004, 0},
  Frame->True,
  PlotRange->{{0.0041, 0.01}, {-0.001, 0.001}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.458365617495*^9, 3.45836585477*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write/ReadFile", "Subtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<j:/foot.exs\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"EXSWrite", "[", 
  RowBox[{"filename", ",", "data"}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataread", "=", 
   RowBox[{"EXSRead", "[", "filename", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4583656203120003`*^9, 3.458365628843*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "dataread", "]"}]], "Input",
 CellChangeTimes->{3.45836562465*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQA2IQXS2yzv1hVYs9AxTseX397umQFvtjj6ZfEmxUsdde
XLCh+nGz/YJHdY8KHUzsT33vYNut2WzvxRMbuemArf3U/uXHZXSa7Lk+HTbf
7ORszxH7Ytn9Dw324ub/7Zdou9vvu/Cxq/d/nb2PtOGRtiYv+x9ztTsvHq62
D6x+9MHXyNfeROLDtzdOFfZikdqBXFr+9vb+S0u+TiqxPznzmPsqvQB7Tul5
cZqnC+z/rPx4yTcJg78fTf1+NPP2o9m3H809+9Hcux/NP/vR/LsfLTz2o4XX
fvTwBADEsKYu
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.45836562512*^9, 3.458365854828*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 746},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[918, 34, 359, 7, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1314, 46, 185, 2, 73, "Title"],
Cell[1502, 50, 146, 4, 49, "Subsubtitle"],
Cell[1651, 56, 186, 4, 29, "Text"],
Cell[1840, 62, 1199, 34, 152, "Input"],
Cell[3042, 98, 181, 6, 41, "Input"],
Cell[3226, 106, 70, 2, 41, "Input"],
Cell[3299, 110, 440, 13, 102, "Input"],
Cell[3742, 125, 211, 5, 41, "Input"],
Cell[CellGroupData[{
Cell[3978, 134, 299, 8, 62, "Input"],
Cell[4280, 144, 119, 2, 40, "Output"],
Cell[4402, 148, 117, 2, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4556, 155, 262, 6, 41, "Input"],
Cell[4821, 163, 724, 18, 238, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5582, 186, 34, 0, 36, "Subtitle"],
Cell[5619, 188, 192, 5, 62, "Input"],
Cell[5814, 195, 181, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[6020, 203, 106, 2, 41, "Input"],
Cell[6129, 207, 602, 14, 222, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
