(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16789,        530]
NotebookOptionsPosition[     14618,        457]
NotebookOutlinePosition[     15043,        473]
CellTagsIndexPosition[     15000,        470]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Tag \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" in \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(GetFileName[fileName_]\\), \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" is \
Protected.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.45836667601*^9, 3.458366711087*^9, 
  3.4583684641540003`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["WoodpeckerToy - 3 DoF", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363515158*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[CellGroupData[{

Cell["Coordinates", "Subtitle",
 CellChangeTimes->{{3.458361389211*^9, 3.458361391613*^9}}],

Cell["Generalized", "Text",
 CellChangeTimes->{{3.458361340894*^9, 3.458361349951*^9}, {3.458361394269*^9,
   3.458361394892*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GC", ":=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"b`ring`y", "[", "t", "]"}], ",", 
     RowBox[{"b`ring`Rz", "[", "t", "]"}], ",", 
     RowBox[{"b`bird`Rz", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell["Dependent", "Text",
 CellChangeTimes->{{3.4583613531619997`*^9, 3.458361359369*^9}, {
  3.458361396605*^9, 3.458361397019*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DC", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b`bird`x", "[", "t", "]"}], ",", 
     RowBox[{"b`bird`y", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"b`bird`x", "[", "t_", "]"}], ":=", 
  RowBox[{"c`lM", " ", "+", "c`lG"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`bird`y", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"b`ring`y", "[", "t", "]"}], "+", 
   RowBox[{"c`lM", "*", 
    RowBox[{"b`ring`Rz", "[", "t", "]"}]}], "+", 
   RowBox[{"c`lG", "*", 
    RowBox[{"b`bird`Rz", "[", "t", "]"}]}]}]}]}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kinetic, potential energy and virtual work", "Subtitle",
 CellChangeTimes->{{3.4583614035880003`*^9, 3.4583614584189997`*^9}}],

Cell["Kinetic energy", "Text",
 CellChangeTimes->{{3.458361363825*^9, 3.458361368514*^9}, {3.458361414918*^9,
   3.458361415526*^9}, {3.4583615517679996`*^9, 3.458361553936*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ek", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", "ring", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], "b`ring`m", "*", 
    RowBox[{"(", 
     SuperscriptBox[
      RowBox[{
       RowBox[{"b`ring`y", "'"}], "[", "t", "]"}], "2"], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`ring`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ring`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "bird", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`bird`m", "*", 
    SuperscriptBox[
     RowBox[{"vBird", "[", "t", "]"}], "2"]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`bird`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`bird`Rz", "'"}], "[", "t", "]"}], "2"]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vBird", "[", "t_", "]"}], ":=", 
  SqrtBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`bird`y", "'"}], "[", "t", "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`bird`x", "'"}], "[", "t", "]"}], "2"]}]]}]], "Input"],

Cell["Potential energy", "Text",
 CellChangeTimes->{{3.45836142476*^9, 3.4583614263059998`*^9}, {
  3.458361555836*^9, 3.458361557686*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ep", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"c`gravity", "*", "b`ring`m", "*", 
    RowBox[{"b`ring`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`bird`m", "*", 
    RowBox[{"b`bird`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "c`spring", "*", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b`bird`Rz", "[", "t", "]"}], "-", 
       RowBox[{"b`ring`Rz", "[", "t", "]"}]}], ")"}], "2"]}]}]}]], "Input"],

Cell["Virtual work", "Text",
 CellChangeTimes->{{3.4583635937060003`*^9, 3.458363599495*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]W", "[", "t_", "]"}], ":=", "0"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equations of motion", "Subtitle",
 CellChangeTimes->{{3.458361475104*^9, 3.458361478633*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EM", "=", 
   RowBox[{"EquationsOfMotion", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input"],

Cell["Mass matrix and h vector", "Text",
 CellChangeTimes->{{3.458361729734*^9, 3.4583617370039997`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"m", ",", "h"}], "}"}], "=", 
  RowBox[{"MassMatrixAndHVector", "[", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], ",", 
    RowBox[{"Ep", "[", "t", "]"}], ",", 
    RowBox[{"GeneralizedForces", "[", 
     RowBox[{
      RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
    ",", "t"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b`bird`m", "+", "b`ring`m"}], ",", 
       RowBox[{"c`lM", " ", "b`bird`m"}], ",", 
       RowBox[{"c`lG", " ", "b`bird`m"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c`lM", " ", "b`bird`m"}], ",", 
       RowBox[{"b`ring`Jzz", "+", 
        RowBox[{
         SuperscriptBox["c`lM", "2"], " ", "b`bird`m"}]}], ",", 
       RowBox[{"c`lG", " ", "c`lM", " ", "b`bird`m"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c`lG", " ", "b`bird`m"}], ",", 
       RowBox[{"c`lG", " ", "c`lM", " ", "b`bird`m"}], ",", 
       RowBox[{"b`bird`Jzz", "+", 
        RowBox[{
         SuperscriptBox["c`lG", "2"], " ", "b`bird`m"}]}]}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "c`gravity"}], " ", 
      RowBox[{"(", 
       RowBox[{"b`bird`m", "+", "b`ring`m"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c`gravity"}], " ", "c`lM", " ", "b`bird`m"}], "+", 
      RowBox[{"c`spring", " ", 
       RowBox[{"b`bird`Rz", "[", "t", "]"}]}], "-", 
      RowBox[{"c`spring", " ", 
       RowBox[{"b`ring`Rz", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c`gravity"}], " ", "c`lG", " ", "b`bird`m"}], "-", 
      RowBox[{"c`spring", " ", 
       RowBox[{"b`bird`Rz", "[", "t", "]"}]}], "+", 
      RowBox[{"c`spring", " ", 
       RowBox[{"b`ring`Rz", "[", "t", "]"}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.458363785126*^9, {3.458363817927*^9, 3.458363849917*^9}, {
   3.4583638954040003`*^9, 3.4583639158450003`*^9}, 3.458365809773*^9, 
   3.4583665241070004`*^9, 3.4583666763059998`*^9, 3.458366711415*^9, 
   3.458368464499*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "h", "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"-", "c`gravity"}], " ", 
        RowBox[{"(", 
         RowBox[{"b`bird`m", "+", "b`ring`m"}], ")"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "c`gravity"}], " ", "c`lM", " ", "b`bird`m"}], "+", 
        RowBox[{"c`spring", " ", 
         RowBox[{"b`bird`Rz", "[", "t", "]"}]}], "-", 
        RowBox[{"c`spring", " ", 
         RowBox[{"b`ring`Rz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", "c`gravity"}], " ", "c`lG", " ", "b`bird`m"}], "-", 
        RowBox[{"c`spring", " ", 
         RowBox[{"b`bird`Rz", "[", "t", "]"}]}], "+", 
        RowBox[{"c`spring", " ", 
         RowBox[{"b`ring`Rz", "[", "t", "]"}]}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.458363785157*^9, {3.458363817955*^9, 3.458363849946*^9}, {
   3.458363895436*^9, 3.458363915873*^9}, 3.458365809843*^9, 
   3.458366524167*^9, 3.45836667634*^9, 3.458366711448*^9, 3.458368464525*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Save model for MultiBody Dynamics Simulator", "Subtitle",
 CellChangeTimes->{{3.458361745207*^9, 3.458361764341*^9}}],

Cell["Name of model", "Text",
 CellChangeTimes->{{3.458361771413*^9, 3.458361774559*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<WoodpeckerToy\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"folder", "=", "\"\<j:/\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.4583705958450003`*^9, 3.458370607844*^9}}],

Cell["Write mass matrix, h vector and mechanical energy", "Text",
 CellChangeTimes->{{3.458361787881*^9, 3.4583617967*^9}, {3.458361875633*^9, 
  3.458361880991*^9}}],

Cell[BoxData[{
 RowBox[{"MMXWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.mmx\>\""}], ",", "m"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.hv\>\""}], ",", "h"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.me\>\""}], ",", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], "+", 
    RowBox[{"Ep", "[", "t", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.458361834163*^9, 3.458361834462*^9}, 
   3.4583618992060003`*^9, {3.458370583266*^9, 3.4583705941470003`*^9}}],

Cell["Write generalized and dependent coordinates", "Text",
 CellChangeTimes->{{3.4583619063640003`*^9, 3.4583619155769997`*^9}}],

Cell[BoxData[{
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.gc\>\""}], ",", "GC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.dc\>\""}], ",", 
   RowBox[{"PrepareDependentCoordinates", "[", 
    RowBox[{
     RowBox[{"Definition", "[", "DC", "]"}], ",", "DC", ",", "GC", ",", "t"}],
     "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.458370572892*^9, 3.458370577442*^9}}],

Cell["Define and write constants", "Text",
 CellChangeTimes->{{3.4583619210039997`*^9, 3.458361930696*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c`gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lM", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lG", "=", "0.015"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`spring", "=", "0.0056"}], ";"}], "\n", 
 RowBox[{"CNSWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.cns\>\""}], ",", 
   RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], ",", 
   RowBox[{"ToExpression", "[", 
    RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.4583619393190002`*^9, 3.4583705656689997`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Playing around:)", "Subtitle",
 CellChangeTimes->{{3.458361952459*^9, 3.458361959717*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"-", 
     RowBox[{"Dot", "[", 
      RowBox[{
       RowBox[{"Inverse", "[", "m", "]"}], ",", "h"}], "]"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c`gravity", ":=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lM", ":=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lG", ":=", "0.015"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`spring", ":=", "0.0056"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`bird`m", ":=", "0.0045"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`ring`m", ":=", "0.0003"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`bird`Jzz", ":=", 
   RowBox[{"7", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "7"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`ring`Jzz", ":=", 
   RowBox[{"5", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "9"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b`bird`Rz", "[", "t_", "]"}], ":=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b`ring`Rz", "[", "t_", "]"}], ":=", "0"}], ";"}]}], "Input"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{971, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[940, 36, 359, 7, 41, "Input"],
Cell[1302, 45, 775, 14, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2126, 65, 98, 1, 73, "Title"],
Cell[2227, 68, 146, 4, 49, "Subsubtitle"],
Cell[CellGroupData[{
Cell[2398, 76, 91, 1, 36, "Subtitle"],
Cell[2492, 79, 130, 2, 29, "Text"],
Cell[2625, 83, 267, 7, 62, "Input"],
Cell[2895, 92, 133, 2, 29, "Text"],
Cell[3031, 96, 194, 6, 41, "Input"],
Cell[3228, 104, 408, 11, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3673, 120, 132, 1, 36, "Subtitle"],
Cell[3808, 123, 178, 2, 29, "Text"],
Cell[3989, 127, 875, 26, 153, "Input"],
Cell[4867, 155, 291, 10, 49, "Input"],
Cell[5161, 167, 139, 2, 29, "Text"],
Cell[5303, 171, 574, 14, 117, "Input"],
Cell[5880, 187, 93, 1, 29, "Text"],
Cell[5976, 190, 87, 2, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6100, 197, 99, 1, 36, "Subtitle"],
Cell[6202, 200, 355, 10, 41, "Input"],
Cell[6560, 212, 105, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[6690, 217, 378, 11, 41, "Input"],
Cell[7071, 230, 1796, 49, 105, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8904, 284, 63, 1, 41, "Input"],
Cell[8970, 287, 1553, 42, 67, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10572, 335, 123, 1, 36, "Subtitle"],
Cell[10698, 338, 89, 1, 29, "Text"],
Cell[10790, 341, 247, 6, 62, "Input"],
Cell[11040, 349, 166, 2, 29, "Text"],
Cell[11209, 353, 637, 16, 82, "Input"],
Cell[11849, 371, 129, 1, 29, "Text"],
Cell[11981, 374, 497, 12, 62, "Input"],
Cell[12481, 388, 107, 1, 29, "Text"],
Cell[12591, 391, 641, 15, 122, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13269, 411, 96, 1, 36, "Subtitle"],
Cell[13368, 414, 227, 8, 41, "Input"],
Cell[13598, 424, 992, 29, 222, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
