(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12966,        421]
NotebookOptionsPosition[     10966,        355]
NotebookOutlinePosition[     11492,        374]
CellTagsIndexPosition[     11449,        371]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Libraries", "Subtitle",
 CellChangeTimes->{{3.458361508258*^9, 3.458361510667*^9}}],

Cell[" Path to custom libraries", "Text",
 CellChangeTimes->{{3.4583615146099997`*^9, 3.458361532458*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\<j:/Work Janko/CommonFiles/Math\>\""}], "]"}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MultiBodyDynamics`MultiBodyDynamics`\>\"", "]"}],
   ";"}]], "Input",
 CellChangeTimes->{{3.4583609059560003`*^9, 3.458360915384*^9}, {
  3.458361199059*^9, 3.458361200579*^9}, {3.458362281135*^9, 
  3.458362290453*^9}, {3.4583628489040003`*^9, 3.45836284937*^9}, {
  3.45836344249*^9, 3.458363445101*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["WoodpeckerToy - 4 DoF", "Title",
 CellChangeTimes->{{3.458363490692*^9, 3.458363496554*^9}}],

Cell["\<\
dr. Janko Slavic, 2009
www.fs.uni-lj.si/ladisk/~slavic/\
\>", "Subsubtitle",
 CellChangeTimes->{{3.458361595974*^9, 3.458361638626*^9}}],

Cell[CellGroupData[{

Cell["Coordinates", "Subtitle",
 CellChangeTimes->{{3.458361389211*^9, 3.458361391613*^9}}],

Cell["Generalized", "Text",
 CellChangeTimes->{{3.458361340894*^9, 3.458361349951*^9}, {3.458361394269*^9,
   3.458361394892*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GC", ":=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"b`ring`x", "[", "t", "]"}], ",", 
     RowBox[{"b`ring`y", "[", "t", "]"}], ",", 
     RowBox[{"b`ring`Rz", "[", "t", "]"}], ",", 
     RowBox[{"b`bird`Rz", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell["Dependent", "Text",
 CellChangeTimes->{{3.4583613531619997`*^9, 3.458361359369*^9}, {
  3.458361396605*^9, 3.458361397019*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DC", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b`bird`x", "[", "t", "]"}], ",", 
     RowBox[{"b`bird`y", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"b`bird`x", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"c`lM", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"b`ring`Rz", "[", "t", "]"}], "]"}]}], "+", 
   RowBox[{"c`lG", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"b`bird`Rz", "[", "t", "]"}], "]"}]}], "+", 
   RowBox[{"b`ring`x", "[", "t", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`bird`y", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"b`ring`y", "[", "t", "]"}], "+", 
   RowBox[{"c`lM", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"b`ring`Rz", "[", "t", "]"}], "]"}]}], "+", 
   RowBox[{"c`lG", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"b`bird`Rz", "[", "t", "]"}], "]"}]}]}]}]}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kinetic, potential energy and virtual work", "Subtitle",
 CellChangeTimes->{{3.4583614035880003`*^9, 3.4583614584189997`*^9}}],

Cell["Kinetic energy", "Text",
 CellChangeTimes->{{3.458361363825*^9, 3.458361368514*^9}, {3.458361414918*^9,
   3.458361415526*^9}, {3.4583615517679996`*^9, 3.458361553936*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ek", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", "ring", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], "b`ring`m", "*", 
    SuperscriptBox[
     RowBox[{"vRing", "[", "t", "]"}], "2"]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`ring`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ring`Rz", "'"}], "[", "t", "]"}], "2"]}], "+", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "bird", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "b`bird`m", "*", 
    SuperscriptBox[
     RowBox[{"vBird", "[", "t", "]"}], "2"]}], "+", 
   RowBox[{
    FractionBox["1", "2"], "b`bird`Jzz", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`bird`Rz", "'"}], "[", "t", "]"}], "2"]}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vRing", "[", "t_", "]"}], ":=", 
  SqrtBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ring`x", "'"}], "[", "t", "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`ring`y", "'"}], "[", "t", "]"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vBird", "[", "t_", "]"}], ":=", 
  SqrtBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`bird`x", "'"}], "[", "t", "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"b`bird`y", "'"}], "[", "t", "]"}], "2"]}]]}]}], "Input"],

Cell["Potential energy", "Text",
 CellChangeTimes->{{3.45836142476*^9, 3.4583614263059998`*^9}, {
  3.458361555836*^9, 3.458361557686*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ep", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"c`gravity", "*", "b`ring`m", "*", 
    RowBox[{"b`ring`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{"c`gravity", "*", "b`bird`m", "*", 
    RowBox[{"b`bird`y", "[", "t", "]"}]}], "+", "\[IndentingNewLine]", 
   RowBox[{
    FractionBox["1", "2"], "c`spring", "*", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b`bird`Rz", "[", "t", "]"}], "-", 
       RowBox[{"b`ring`Rz", "[", "t", "]"}]}], ")"}], "2"]}]}]}]], "Input"],

Cell["Virtual work", "Text",
 CellChangeTimes->{{3.458361462756*^9, 3.458361464469*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]W", "[", "t_", "]"}], ":=", "0"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equations of motion", "Subtitle",
 CellChangeTimes->{{3.458361475104*^9, 3.458361478633*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EM", "=", 
   RowBox[{"EquationsOfMotion", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input"],

Cell["Mass matrix and h vector", "Text",
 CellChangeTimes->{{3.458361729734*^9, 3.4583617370039997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "h"}], "}"}], "=", 
   RowBox[{"MassMatrixAndHVector", "[", 
    RowBox[{
     RowBox[{"Ek", "[", "t", "]"}], ",", 
     RowBox[{"Ep", "[", "t", "]"}], ",", 
     RowBox[{"GeneralizedForces", "[", 
      RowBox[{
       RowBox[{"\[Delta]W", "[", "t", "]"}], ",", "GC"}], "]"}], ",", "GC", 
     ",", "t"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.458363633682*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Save model for MultiBody Dynamics Simulator", "Subtitle",
 CellChangeTimes->{{3.458361745207*^9, 3.458361764341*^9}}],

Cell["Name of model", "Text",
 CellChangeTimes->{{3.458361771413*^9, 3.458361774559*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"filename", "=", "\"\<WoodpeckerToy\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"folder", "=", "\"\<j:/\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.458370641175*^9, 3.458370641408*^9}}],

Cell["Write mass matrix, h vector and mechanical energy", "Text",
 CellChangeTimes->{{3.458361787881*^9, 3.4583617967*^9}, {3.458361875633*^9, 
  3.458361880991*^9}}],

Cell[BoxData[{
 RowBox[{"MMXWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.mmx\>\""}], ",", "m"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.hv\>\""}], ",", "h"}], 
  "]"}], "\n", 
 RowBox[{"HVWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.me\>\""}], ",", 
   RowBox[{
    RowBox[{"Ek", "[", "t", "]"}], "+", 
    RowBox[{"Ep", "[", "t", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.458361834163*^9, 3.458361834462*^9}, 
   3.4583618992060003`*^9, {3.4583706459890003`*^9, 3.458370649789*^9}}],

Cell["Write generalized and dependent coordinates", "Text",
 CellChangeTimes->{{3.4583619063640003`*^9, 3.4583619155769997`*^9}}],

Cell[BoxData[{
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.gc\>\""}], ",", "GC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"GCWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.dc\>\""}], ",", 
   RowBox[{"PrepareDependentCoordinates", "[", 
    RowBox[{
     RowBox[{"Definition", "[", "DC", "]"}], ",", "DC", ",", "GC", ",", "t"}],
     "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.458370652908*^9, 3.458370655717*^9}}],

Cell["Define and write constants", "Text",
 CellChangeTimes->{{3.4583619210039997`*^9, 3.458361930696*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c`gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lM", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lG", "=", "0.015"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`spring", "=", "0.0056"}], ";"}], "\n", 
 RowBox[{"CNSWrite", "[", 
  RowBox[{
   RowBox[{"folder", "<>", "filename", "<>", "\"\<.cns\>\""}], ",", 
   RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], ",", 
   RowBox[{"ToExpression", "[", 
    RowBox[{"Names", "[", "\"\<c`*\>\"", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.4583619393190002`*^9, 3.4583706582279997`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Playing around:)", "Subtitle",
 CellChangeTimes->{{3.458361952459*^9, 3.458361959717*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"-", 
     RowBox[{"Dot", "[", 
      RowBox[{
       RowBox[{"Inverse", "[", "m", "]"}], ",", "h"}], "]"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c`gravity", ":=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lM", ":=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`lG", ":=", "0.015"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c`spring", ":=", "0.0056"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`bird`m", ":=", "0.0045"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`ring`m", ":=", "0.0003"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`bird`Jzz", ":=", 
   RowBox[{"7", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "7"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b`ring`Jzz", ":=", 
   RowBox[{"5", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "9"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b`bird`Rz", "[", "t_", "]"}], ":=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b`ring`Rz", "[", "t_", "]"}], ":=", "0"}], ";"}]}], "Input"]
}, Open  ]]
}, Open  ]]
},
PrintingStyleEnvironment->"Condensed",
WindowSize->{971, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 36, "Subtitle"],
Cell[659, 25, 106, 1, 29, "Text"],
Cell[768, 28, 147, 4, 41, "Input"],
Cell[918, 34, 359, 7, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1314, 46, 98, 1, 73, "Title"],
Cell[1415, 49, 146, 4, 49, "Subsubtitle"],
Cell[CellGroupData[{
Cell[1586, 57, 91, 1, 36, "Subtitle"],
Cell[1680, 60, 130, 2, 29, "Text"],
Cell[1813, 64, 315, 8, 62, "Input"],
Cell[2131, 74, 133, 2, 29, "Text"],
Cell[2267, 78, 194, 6, 41, "Input"],
Cell[2464, 86, 705, 20, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3206, 111, 132, 1, 36, "Subtitle"],
Cell[3341, 114, 178, 2, 29, "Text"],
Cell[3522, 118, 822, 24, 153, "Input"],
Cell[4347, 144, 591, 21, 78, "Input"],
Cell[4941, 167, 139, 2, 29, "Text"],
Cell[5083, 171, 574, 14, 117, "Input"],
Cell[5660, 187, 88, 1, 29, "Text"],
Cell[5751, 190, 87, 2, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5875, 197, 99, 1, 36, "Subtitle"],
Cell[5977, 200, 355, 10, 41, "Input"],
Cell[6335, 212, 105, 1, 29, "Text"],
Cell[6443, 215, 445, 13, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6925, 233, 123, 1, 36, "Subtitle"],
Cell[7051, 236, 89, 1, 29, "Text"],
Cell[7143, 239, 242, 6, 62, "Input"],
Cell[7388, 247, 166, 2, 29, "Text"],
Cell[7557, 251, 637, 16, 82, "Input"],
Cell[8197, 269, 129, 1, 29, "Text"],
Cell[8329, 272, 497, 12, 62, "Input"],
Cell[8829, 286, 107, 1, 29, "Text"],
Cell[8939, 289, 641, 15, 122, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9617, 309, 96, 1, 36, "Subtitle"],
Cell[9716, 312, 227, 8, 41, "Input"],
Cell[9946, 322, 992, 29, 222, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
